Mailinglist Archive: opensuse-features (518 mails)

< Previous Next >
[openFATE 309086] Update to latest version automatically
  • From: fate_noreply@xxxxxxx
  • Date: Wed, 11 Aug 2010 19:15:29 +0200 (CEST)
  • Message-id: <feature-309086-13@xxxxxxxxxxxxxx>
Feature changed by: jpxviii jpxviii (jpxviii)
Feature #309086, revision 13
Title: Update to latest version automatically

- Hackweek V: Unconfirmed
- Priority
- Requester: Important

openSUSE-11.3: Unconfirmed
Priority
Requester: Desirable

Requested by: Daniele Granata (trueneo)

Description:
Right now we have to subscribe a lot of repos to keep our system up to
date to the latest stable release, OpenOffice:Stable, Firefox:Stable,
KDE4 is a pain! . I would like to lose a little in stability but a
unique way to keep my openSuse in synch with te latest release. The
idea is to create a "intermediate stability level", if I choose this
level my system will gets all the latest update via "zypper up" or the
update applet, no repos to subscribe to, no "change vendor issues".
 

Discussion:
#1: Jimmy Berry (boombatower) (2010-02-25 17:08:18)
You can get out of clicking the vendor change stuff by running: zypper
dup. Distro upgrade automatically switches to repository containing the
best packages.

#2: Jimmy Berry (boombatower) (2010-02-25 17:09:11)
Having a way for "normal" people to just say in "simple" module or with
another single click to be able to select vendor change on all packages
would be extremely handy.

#3: Ricardo Gabriel Berlasso (rgbsuse) (2010-02-25 18:45:52) (reply to
#2)
I think there is a problem with the "normal people" definition. If you
mean people who do not know how to administrate the system, them my
answer is a no-no.
Browse the openSUSE forums and you will find a lot of people with  lots
of problems for using (abusing) on one-click-install.
Adding a "one click update" have the same potential benefits AND the
same potential problems as one-click-installs: if you know what one-
clicks do, probably you don't need them, if you need them, it is better
you sit down with some coffee and learn how to administrate your system
first.
Managing repositories in openSUSE IS EASY. I know, I know "when you
know how to do it" you may say. IMO, if you don't know how to do it,
maybe it is better to not do it.
My first distro was SuSe 7.0, almost 10 years ago. I know how to manage
repositories. But I never use factory repos on production machines.
There is no need to always have "the latest version".

#4: Jimmy Berry (boombatower) (2010-02-25 20:52:36) (reply to #3)
I tend to agree with line of thining, but given that one-click's are
provided it is a real pain to actually use them. Having a vendor switch
all button or some way of automatically switching through the
interface. If such behavior is provided throught the CLI "zypper dup"
why not through the GUI. As it stands now the GUI is very frustrating
to use when attempting to update to KDE 4.4 or something like that.
I agree that keeping the repositories should be kept the way they are...
that's a facet of the package management system.

#5: Ricardo Gabriel Berlasso (rgbsuse) (2010-02-25 21:50:04) (reply to
#4)
On yast, you can sort packages by repository. In top of the package list
you have a blue "switch all packages to this repository" entry. Is that
what you want?

#6: Jimmy Berry (boombatower) (2010-02-25 21:52:14) (reply to #5)
I suppose that works (and I have seen it), but when someone does the
one click...they never have that option. So maybe either make it
automatic (best), or aleast have a button they can click somewhere in
one click stuff...or maybe to turn it off and set on by default.

#7: Daniele Granata (trueneo) (2010-02-26 11:10:02) (reply to #3)
I'm talking about STABLE repos not Factory. The "normal", "not
professional", "not productive" people want a easy way to get the
latest release, no matter if these "needs" are wrong they do not want
to wait months to get Firefox 3.6 with opensuse 11.3. Maybe they come
from Windows where upgrading to Firefox 3.6 is a matter of "get firefox
3.6 via the update option in firefox 3.5" or browse the mozilla site
and download the new version.
One click install is a partial solution, it subscribe to a new repo but
i do not want a new repo to add, think about one click install in a
home repo, home:john contains Firefox 3.6 and Chromium 4, home:richard
contains Firefox 3.6 and Openoffice3.2. Firefox conflicts, you want
chromium from john and OpenOffice from richard but Firefox from Stable.
One click is a no solution for me.
Maybe a solution, not for the oneclick but for the main problem, could
be a list in the update applet with the new version available with a
stability rank.
New release:
Firefox 3.6 - stability: 3 stars
OpenOffice 3.2 - stability: 2 stars
Kde 4.4 SC - stability: 2 stars
VLC 2.0 - stability: 1 star.
They will not get installed by default but only if choosen by the
user.



--
openSUSE Feature:
https://features.opensuse.org/309086

< Previous Next >
This Thread
References